Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Types | Public Member Functions | Friends | List of all members
testing::internal::linked_ptr< T > Class Template Reference

## Public Types
typedef T | element_type

## Public Member Functions
| linked_ptr (T *ptr=NULL)
template<typename U >
| linked_ptr (linked_ptr< U > const &ptr)
| linked_ptr (linked_ptr const &ptr)
template<typename U >
linked_ptr & | operator= (linked_ptr< U > const &ptr)
linked_ptr & | operator= (linked_ptr const &ptr)
void | reset (T *ptr=NULL)
T * | get () const
T * | operator-> () const
T & | operator* () const
bool | operator== (T *p) const
bool | operator!= (T *p) const
template<typename U >
bool | operator== (linked_ptr< U > const &ptr) const
template<typename U >
bool | operator!= (linked_ptr< U > const &ptr) const

## Friends
template<typename U >
class | linked_ptr

## Detailed Description

### template<typename T>
class testing::internal::linked_ptr< T >

Definition at line 146 of file gtest-linked_ptr.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-linked_ptr.h